<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mapping Pipeline: Class Hierarchy</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mapping Pipeline
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Class Hierarchy</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">
<p><a href="hierarchy.html">Go to the textual class hierarchy</a></p>
</div><table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit_graph_0.png" border="0" alt="" usemap="#Mapping_8mapper_8Mapper"/>
<map name="Mapping_8mapper_8Mapper" id="Mapping_8mapper_8Mapper">
<area shape="rect" id="node1" href="classMapping_1_1mapper_1_1Mapper.html" title="This is the abstract class to use when implementing a new mapper. " alt="" coords="5,31,171,57"/>
<area shape="rect" id="node2" href="classMapping_1_1mapper_1_1Bowtie2.html" title="Implementation of the Mapper class for Bowtie2. " alt="" coords="225,5,395,32"/>
<area shape="rect" id="node3" href="classMapping_1_1mapper_1_1BWAMem.html" title="Implementation of the Mapper class for BWAMem. " alt="" coords="219,56,401,83"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_1.png" border="0" alt="" usemap="#Mapping_8mapping-4_8MAPPING"/>
<map name="Mapping_8mapping-4_8MAPPING" id="Mapping_8mapping-4_8MAPPING">
<area shape="rect" id="node1" href="classMapping_1_1mapping-4_1_1MAPPING.html" title="Documentation for the Mapping class. " alt="" coords="5,5,207,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_2.png" border="0" alt="" usemap="#Mapping_8metrics_8METRICS"/>
<map name="Mapping_8metrics_8METRICS" id="Mapping_8metrics_8METRICS">
<area shape="rect" id="node1" href="classMapping_1_1metrics_1_1METRICS.html" title="Representation of the metrics. " alt="" coords="5,5,188,32"/>
</map>
</td></tr>
<tr><td><img src="inherit_graph_3.png" border="0" alt="" usemap="#Mapping_8metrics_8SAM"/>
<map name="Mapping_8metrics_8SAM" id="Mapping_8metrics_8SAM">
<area shape="rect" id="node1" href="classMapping_1_1metrics_1_1SAM.html" title="Representation of a SAM file. " alt="" coords="5,5,156,32"/>
</map>
</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
